Subject: Re: bug#56771: [PATCH 00/33] *** Update Jami to 20220725, core Qt packages along the way

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 01 Aug 2022 00:22:08 -0400

Hi Jack,

Jack Hill <[email-masked]> writes:

> On Tue, 26 Jul 2022, Jack Hill wrote:
>
>> On Mon, 25 Jul 2022, Maxim Cournoyer wrote:
>>
>>> Hello Guix,
>>> This series add the base Qt 6 components required by Jami and
>>> updates Jami
>>> itself to its latest stable release (made today!).  All the Qt components
>>> updated have their test suite enabled except for qtwebengine, for
>>> which it was
>>> already disabled.
>>
>> I'm having trouble applying these patches on top of commit
>> dbcd7876566840f31b763e28bb74394f0914b397
>>
>> I've tried both with emacs-debbugs and by downloading the mbox
>> manually from the debbugs web interface. With the mbox, I get:
>
> I ended up getting the patches via `git pull` from Maxim's
> repository. Once doing so, I was able to build and run Jami. I was
> able to make a SIP call and a Jami call and chat (the Jami call and
> chat was on the local network). This was all on x86-64.

OK, thanks for testing.  I've actually found a bug about the UI becoming
hidden on my ratpoison WM and it got fixed upstream quick so I've added
a small patch for it.

> I didn't verify any hashes, have an in-depth look at the patches, or
> try any of the other Qt applications that were adjusted.

OK.  Since I'm confident about the Qt upgrades (I went to great length
getting the test suites to run for example), I've now pushed that series
as 3a656ea836f87f30f1b34852cb4efc911363d2b4.  Thanks for your testing!

Closing.

Maxim